%global srcname mujson
%global common_description %{expand:
mujson lets python libraries make use of the most performant JSON functions
available at import time.  It is small, and does not itself implement any
encoding or decoding functionality.}


Name:           python-%{srcname}
Version:        1.4
Release:        2%{?dist}
Summary:        Use the fastest JSON functions available at import time
License:        MIT
URL:            https://github.com/mattgiles/mujson
# PyPI tarball is missing license
# https://github.com/mattgiles/mujson/issues/8
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


%description %{common_description}


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}


%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%py3_check_import %{srcname}


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Aug 30 2023 Carl George <carlwgeorge@fedoraproject.org> - 1.4-2
- Add import check to %%check

* Tue Apr 13 2021 Carl George <carl@george.computer> - 1.4-1
- Initial package rhbz#1948882
